<template>
  <section id="business_container">
    <transition name="fade-transform" mode="out-in">
      <keep-alive :include="cachedViews">
        <router-view :key="key" />
      </keep-alive>
    </transition>
  </section>
</template>

<script>
export default {
  created: () => {
    console.log("进入业务交易界面");
  },
  computed: {
    cachedViews() {
      return this.$store.state.TagsView.cachedViews;
    },
    key() {
      return this.$route.path;
    },
  },
};
</script>

<style>
#business_container {
  /* height: 100%; */
  height: calc(100% - 55px);
  position: absolute;
  width: 100%;
}
</style>
